package cokr.xit.ens.modules.common.ctgy.intgrnbill.support.service.process.model;

import lombok.Builder;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

@Getter
@Setter
@EqualsAndHashCode
@Builder
public class ReqAndRespInf {
    private String url;
    private String reqData;
    private String respRawData;
    private Map<String, Object> etc;

    public Map<String, Object> getEtc() {
        if (this.etc == null)
            this.etc = new HashMap<>();
        return this.etc;
    }
}
